Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.graphics.MarkedContent Class Reference

## Public Member Functions
int | addItem (String tag_name, PDFDictionary property_dict) throws com.foxit.sdk.PDFException
| Add a new marked content item. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getItemCount ()
| Get the count of marked content items. More...
int | getItemMCID (int index) throws com.foxit.sdk.PDFException
| Get marked-content identifier (MCID) of a marked content item specified by index. More...
PDFDictionary | getItemPropertyDict (int index) throws com.foxit.sdk.PDFException
| Get the property dictionary of a marked content item specified by index. More...
String | getItemTagName (int index) throws com.foxit.sdk.PDFException
| Get the tag name of a marked content item specified by index. More...
boolean | hasTag (String tag_name) throws com.foxit.sdk.PDFException
| Check whether current marked content object has a specified marked content item or not. More...
boolean | removeItem (String tag_name) throws com.foxit.sdk.PDFException
| Remove a marked content item by tag name. More...

## Detailed Description

Marked-content operators (PDF 1.2) identify a portion of a PDF content stream as a marked-content element of interest to a particular application or PDF plug-in extension. For more details, please refer to Section 10.5 "Marked Content" in <PDF Reference 1.7>.
To get a marked content object, please use function GraphicsObject.getMarkedContent .

See also
  GraphicsObject

## Member Function Documentation

## ◆ addItem()

int com.foxit.sdk.pdf.graphics.MarkedContent.addItem | ( | String | tag_name,
|  | PDFDictionary | property_dict
| ) |  | throws com.foxit.sdk.PDFException

Add a new marked content item.

Parameters

  [in] | tag_name | New tag name. It should not be an empty string. If parameter tag_name exists in current marked content object, it cannot be added to current marked content object again.
  [in] | property_dict | A property dictionary. Default value: null. null means the new marked content item will not have a property dictionary. If this dictionary is newly created and not set to other object yet, user should release this dictionary object after calling this function.

Returns
  The index of the newly added marked content item. If there is any error, this function will return -1.

## ◆ delete()

synchronized void com.foxit.sdk.pdf.graphics.MarkedContent.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getItemCount()

int com.foxit.sdk.pdf.graphics.MarkedContent.getItemCount | ( |  | ) |

Get the count of marked content items.

A marked content object may be nested one within another, and this function is used to get the count of marked content items in the current marked content sequence.

Returns
  The count of marked content items.

## ◆ getItemMCID()

int com.foxit.sdk.pdf.graphics.MarkedContent.getItemMCID | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get marked-content identifier (MCID) of a marked content item specified by index.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function MarkedContent.getItemCount .

Returns
  The MCID value. A negative number means that the specified marked content item does not have a MCID.

## ◆ getItemPropertyDict()

PDFDictionary com.foxit.sdk.pdf.graphics.MarkedContent.getItemPropertyDict | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get the property dictionary of a marked content item specified by index.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function MarkedContent.getItemCount .

Returns
  The property dictionary. null means no property dictionary.

## ◆ getItemTagName()

String com.foxit.sdk.pdf.graphics.MarkedContent.getItemTagName | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get the tag name of a marked content item specified by index.

A marked content object may be nested one within another, and this function is used to get the count of marked content items in the current marked content sequence.

Parameters

  [in] | index | Item index. Valid range: from 0 to (count-1). count is returned by function MarkedContent.getItemCount .

Returns
  The tag name.

## ◆ hasTag()

boolean com.foxit.sdk.pdf.graphics.MarkedContent.hasTag | ( | String | tag_name | ) | throws com.foxit.sdk.PDFException

Check whether current marked content object has a specified marked content item or not.

Parameters

  [in] | tag_name | The tag name to be checked.

Returns
  true means current marked content object has the specified marked content item. false means current marked content object does not have the specified marked content item.

## ◆ removeItem()

boolean com.foxit.sdk.pdf.graphics.MarkedContent.removeItem | ( | String | tag_name | ) | throws com.foxit.sdk.PDFException

Remove a marked content item by tag name.

Parameters

  [in] | tag_name | Tag name. It should not be an empty string.

Returns
  true means success, while false means failure.